<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___w_s_s__definitions" kind="group">
    <compoundname>group_ble_service_api_WSS_definitions</compoundname>
    <title>WSS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__wss__char__value__t">cy_stc_ble_wss_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wss__descr__value__t">cy_stc_ble_wss_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__char__t">cy_stc_ble_wsss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__t">cy_stc_ble_wsss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__char__t">cy_stc_ble_wssc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__t">cy_stc_ble_wssc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wss_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0ac37645bdfa853d062959545a96c8fa1e" prot="public">
          <name>CY_BLE_WSS_WEIGHT_SCALE_FEATURE</name>
          <briefdescription>
<para>Weight Scale Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0acdaaf24099c6843873f98fd469582ad9" prot="public">
          <name>CY_BLE_WSS_WEIGHT_MEASUREMENT</name>
          <briefdescription>
<para>Weight Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0a3cc998ab9723c289445885600faff852" prot="public">
          <name>CY_BLE_WSS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of WSS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wss_char_index_t: </bold><linebreak />WSS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="52" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="48" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wss_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96af04a56bbf095afd3d85bb54b3efde659" prot="public">
          <name>CY_BLE_WSS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96ae7aa48dfff0d08cdd3fcc940b0b17fe1" prot="public">
          <name>CY_BLE_WSS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wss_descr_index_t: </bold><linebreak />WSS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="56" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the WSS specific definitions and data structures used in the WSS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>